import * as flatbuffers from 'flatbuffers';
import { Identity } from '../model/identity';
export declare class PublicKeyMetadata {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): PublicKeyMetadata;
    static getRootAsPublicKeyMetadata(bb: flatbuffers.ByteBuffer, obj?: PublicKeyMetadata): PublicKeyMetadata;
    static getSizePrefixedRootAsPublicKeyMetadata(bb: flatbuffers.ByteBuffer, obj?: PublicKeyMetadata): PublicKeyMetadata;
    algorithm(): string | null;
    algorithm(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    keyId(): string | null;
    keyId(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    keyIdShort(): string | null;
    keyIdShort(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    creationTime(): string | null;
    creationTime(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    fingerprint(): string | null;
    fingerprint(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    keyIdNumeric(): string | null;
    keyIdNumeric(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    isSubKey(): boolean;
    mutate_is_sub_key(value: boolean): boolean;
    canSign(): boolean;
    mutate_can_sign(value: boolean): boolean;
    canEncrypt(): boolean;
    mutate_can_encrypt(value: boolean): boolean;
    identities(index: number, obj?: Identity): Identity | null;
    identitiesLength(): number;
    subKeys(index: number, obj?: PublicKeyMetadata): PublicKeyMetadata | null;
    subKeysLength(): number;
    static startPublicKeyMetadata(builder: flatbuffers.Builder): void;
    static addAlgorithm(builder: flatbuffers.Builder, algorithmOffset: flatbuffers.Offset): void;
    static addKeyId(builder: flatbuffers.Builder, keyIdOffset: flatbuffers.Offset): void;
    static addKeyIdShort(builder: flatbuffers.Builder, keyIdShortOffset: flatbuffers.Offset): void;
    static addCreationTime(builder: flatbuffers.Builder, creationTimeOffset: flatbuffers.Offset): void;
    static addFingerprint(builder: flatbuffers.Builder, fingerprintOffset: flatbuffers.Offset): void;
    static addKeyIdNumeric(builder: flatbuffers.Builder, keyIdNumericOffset: flatbuffers.Offset): void;
    static addIsSubKey(builder: flatbuffers.Builder, isSubKey: boolean): void;
    static addCanSign(builder: flatbuffers.Builder, canSign: boolean): void;
    static addCanEncrypt(builder: flatbuffers.Builder, canEncrypt: boolean): void;
    static addIdentities(builder: flatbuffers.Builder, identitiesOffset: flatbuffers.Offset): void;
    static createIdentitiesVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startIdentitiesVector(builder: flatbuffers.Builder, numElems: number): void;
    static addSubKeys(builder: flatbuffers.Builder, subKeysOffset: flatbuffers.Offset): void;
    static createSubKeysVector(builder: flatbuffers.Builder, data: flatbuffers.Offset[]): flatbuffers.Offset;
    static startSubKeysVector(builder: flatbuffers.Builder, numElems: number): void;
    static endPublicKeyMetadata(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createPublicKeyMetadata(builder: flatbuffers.Builder, algorithmOffset: flatbuffers.Offset, keyIdOffset: flatbuffers.Offset, keyIdShortOffset: flatbuffers.Offset, creationTimeOffset: flatbuffers.Offset, fingerprintOffset: flatbuffers.Offset, keyIdNumericOffset: flatbuffers.Offset, isSubKey: boolean, canSign: boolean, canEncrypt: boolean, identitiesOffset: flatbuffers.Offset, subKeysOffset: flatbuffers.Offset): flatbuffers.Offset;
}
//# sourceMappingURL=public-key-metadata.d.ts.map