import * as flatbuffers from 'flatbuffers';
import { KeyOptions } from '../model/key-options';
export declare class SignDataRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): SignDataRequest;
    static getRootAsSignDataRequest(bb: flatbuffers.ByteBuffer, obj?: SignDataRequest): SignDataRequest;
    static getSizePrefixedRootAsSignDataRequest(bb: flatbuffers.ByteBuffer, obj?: SignDataRequest): SignDataRequest;
    message(): string | null;
    message(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    privateKey(): string | null;
    privateKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    passphrase(): string | null;
    passphrase(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    options(obj?: KeyOptions): KeyOptions | null;
    static startSignDataRequest(builder: flatbuffers.Builder): void;
    static addMessage(builder: flatbuffers.Builder, messageOffset: flatbuffers.Offset): void;
    static addPrivateKey(builder: flatbuffers.Builder, privateKeyOffset: flatbuffers.Offset): void;
    static addPassphrase(builder: flatbuffers.Builder, passphraseOffset: flatbuffers.Offset): void;
    static addOptions(builder: flatbuffers.Builder, optionsOffset: flatbuffers.Offset): void;
    static endSignDataRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
}
//# sourceMappingURL=sign-data-request.d.ts.map