import * as flatbuffers from 'flatbuffers';
import { ArmorMetadata } from '../model/armor-metadata';
export declare class ArmorDecodeResponse {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): ArmorDecodeResponse;
    static getRootAsArmorDecodeResponse(bb: flatbuffers.ByteBuffer, obj?: ArmorDecodeResponse): ArmorDecodeResponse;
    static getSizePrefixedRootAsArmorDecodeResponse(bb: flatbuffers.ByteBuffer, obj?: ArmorDecodeResponse): ArmorDecodeResponse;
    output(obj?: ArmorMetadata): ArmorMetadata | null;
    error(): string | null;
    error(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startArmorDecodeResponse(builder: flatbuffers.Builder): void;
    static addOutput(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset): void;
    static addError(builder: flatbuffers.Builder, errorOffset: flatbuffers.Offset): void;
    static endArmorDecodeResponse(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createArmorDecodeResponse(builder: flatbuffers.Builder, outputOffset: flatbuffers.Offset, errorOffset: flatbuffers.Offset): flatbuffers.Offset;
}
//# sourceMappingURL=armor-decode-response.d.ts.map