import * as flatbuffers from 'flatbuffers';
export declare class VerifyDataBytesRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): VerifyDataBytesRequest;
    static getRootAsVerifyDataBytesRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyDataBytesRequest): VerifyDataBytesRequest;
    static getSizePrefixedRootAsVerifyDataBytesRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyDataBytesRequest): VerifyDataBytesRequest;
    signature(index: number): number | null;
    signatureLength(): number;
    signatureArray(): Uint8Array | null;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startVerifyDataBytesRequest(builder: flatbuffers.Builder): void;
    static addSignature(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset): void;
    static createSignatureVector(builder: flatbuffers.Builder, data: number[] | Uint8Array): flatbuffers.Offset;
    static startSignatureVector(builder: flatbuffers.Builder, numElems: number): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static endVerifyDataBytesRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createVerifyDataBytesRequest(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset, publicKeyOffset: flatbuffers.Offset): flatbuffers.Offset;
}
//# sourceMappingURL=verify-data-bytes-request.d.ts.map