import * as flatbuffers from 'flatbuffers';
export declare class VerifyDataRequest {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): VerifyDataRequest;
    static getRootAsVerifyDataRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyDataRequest): VerifyDataRequest;
    static getSizePrefixedRootAsVerifyDataRequest(bb: flatbuffers.ByteBuffer, obj?: VerifyDataRequest): VerifyDataRequest;
    signature(): string | null;
    signature(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    publicKey(): string | null;
    publicKey(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    static startVerifyDataRequest(builder: flatbuffers.Builder): void;
    static addSignature(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset): void;
    static addPublicKey(builder: flatbuffers.Builder, publicKeyOffset: flatbuffers.Offset): void;
    static endVerifyDataRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createVerifyDataRequest(builder: flatbuffers.Builder, signatureOffset: flatbuffers.Offset, publicKeyOffset: flatbuffers.Offset): flatbuffers.Offset;
}
//# sourceMappingURL=verify-data-request.d.ts.map